diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/onoff-application.cc ns-3.44/src/applications/model/onoff-application.cc
--- ns-3.43/src/applications/model/onoff-application.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/onoff-application.cc	2025-03-09 16:55:49.347370900 -0700
@@ -12,7 +12,6 @@
 
 #include "onoff-application.h"
 
-#include "ns3/address.h"
 #include "ns3/boolean.h"
 #include "ns3/data-rate.h"
 #include "ns3/inet-socket-address.h"
@@ -44,7 +43,7 @@
 {
     static TypeId tid =
         TypeId("ns3::OnOffApplication")
-            .SetParent<Application>()
+            .SetParent<SourceApplication>()
             .SetGroupName("Applications")
             .AddConstructor<OnOffApplication>()
             .AddAttribute("DataRate",
@@ -57,23 +56,6 @@
                           UintegerValue(512),
                           MakeUintegerAccessor(&OnOffApplication::m_pktSize),
                           MakeUintegerChecker<uint32_t>(1))
-            .AddAttribute("Remote",
-                          "The address of the destination",
-                          AddressValue(),
-                          MakeAddressAccessor(&OnOffApplication::m_peer),
-                          MakeAddressChecker())
-            .AddAttribute("Local",
-                          "The Address on which to bind the socket. If not set, it is generated "
-                          "automatically.",
-                          AddressValue(),
-                          MakeAddressAccessor(&OnOffApplication::m_local),
-                          MakeAddressChecker())
-            .AddAttribute("Tos",
-                          "The Type of Service used to send IPv4 packets. "
-                          "All 8 bits of the TOS byte are set (including ECN bits).",
-                          UintegerValue(0),
-                          MakeUintegerAccessor(&OnOffApplication::m_tos),
-                          MakeUintegerChecker<uint8_t>())
             .AddAttribute("OnTime",
                           "A RandomVariableStream used to pick the duration of the 'On' state.",
                           StringValue("ns3::ConstantRandomVariable[Constant=1.0]"),
@@ -114,7 +96,11 @@
             .AddTraceSource("TxWithSeqTsSize",
                             "A new packet is created with SeqTsSizeHeader",
                             MakeTraceSourceAccessor(&OnOffApplication::m_txTraceWithSeqTsSize),
-                            "ns3::PacketSink::SeqTsSizeCallback");
+                            "ns3::PacketSink::SeqTsSizeCallback")
+            .AddTraceSource("OnOffState",
+                            "Application state (0-OFF, 1-ON)",
+                            MakeTraceSourceAccessor(&OnOffApplication::m_state),
+                            "ns3::TracedValueCallback::Bool");
     return tid;
 }
 
@@ -122,7 +108,7 @@
     : m_socket(nullptr),
       m_connected(false),
       m_residualBits(0),
-      m_lastStartTime(Seconds(0)),
+      m_lastStartTime(),
       m_totBytes(0),
       m_unsentPacket(nullptr)
 {
@@ -152,9 +138,11 @@
 OnOffApplication::AssignStreams(int64_t stream)
 {
     NS_LOG_FUNCTION(this << stream);
-    m_onTime->SetStream(stream);
-    m_offTime->SetStream(stream + 1);
-    return 2;
+    auto currentStream = stream;
+    m_onTime->SetStream(currentStream++);
+    m_offTime->SetStream(currentStream++);
+    currentStream += Application::AssignStreams(currentStream);
+    return (currentStream - stream);
 }
 
 void
@@ -284,6 +272,7 @@
     m_lastStartTime = Simulator::Now();
     ScheduleNextTx(); // Schedule the send packet event
     ScheduleStopEvent();
+    m_state = true;
 }
 
 void
@@ -291,8 +280,8 @@
 {
     NS_LOG_FUNCTION(this);
     CancelEvents();
-
     ScheduleStartEvent();
+    m_state = false;
 }
 
 // Private helpers
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/onoff-application.h ns-3.44/src/applications/model/onoff-application.h
--- ns-3.43/src/applications/model/onoff-application.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/onoff-application.h	2025-03-09 16:55:49.347370900 -0700
@@ -14,24 +14,23 @@
 #define ONOFF_APPLICATION_H
 
 #include "seq-ts-size-header.h"
+#include "source-application.h"
 
-#include "ns3/address.h"
-#include "ns3/application.h"
 #include "ns3/data-rate.h"
 #include "ns3/event-id.h"
 #include "ns3/ptr.h"
 #include "ns3/traced-callback.h"
+#include "ns3/traced-value.h"
 
 namespace ns3
 {
 
-class Address;
 class RandomVariableStream;
 class Socket;
 
 /**
- * \ingroup applications
- * \defgroup onoff OnOffApplication
+ * @ingroup applications
+ * @defgroup onoff OnOffApplication
  *
  * This traffic generator follows an On/Off pattern: after
  * Application::StartApplication
@@ -42,9 +41,9 @@
  * characterized by the specified "data rate" and "packet size".
  */
 /**
- * \ingroup onoff
+ * @ingroup onoff
  *
- * \brief Generate traffic to a single destination according to an
+ * @brief Generate traffic to a single destination according to an
  *        OnOff pattern.
  *
  * This traffic generator follows an On/Off pattern: after
@@ -82,32 +81,31 @@
  * the header via trace sources.  Note that the continuity of the sequence
  * number may be disrupted across On/Off cycles.
  */
-class OnOffApplication : public Application
+class OnOffApplication : public SourceApplication
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     OnOffApplication();
-
     ~OnOffApplication() override;
 
     /**
-     * \brief Set the total number of bytes to send.
+     * @brief Set the total number of bytes to send.
      *
      * Once these bytes are sent, no packet is sent again, even in on state.
      * The value zero means that there is no limit.
      *
-     * \param maxBytes the total number of bytes to send
+     * @param maxBytes the total number of bytes to send
      */
     void SetMaxBytes(uint64_t maxBytes);
 
     /**
-     * \brief Return a pointer to associated socket.
-     * \return pointer to associated socket
+     * @brief Return a pointer to associated socket.
+     * @return pointer to associated socket
      */
     Ptr<Socket> GetSocket() const;
 
@@ -122,29 +120,26 @@
 
     // helpers
     /**
-     * \brief Cancel all pending events.
+     * @brief Cancel all pending events.
      */
     void CancelEvents();
 
     // Event handlers
     /**
-     * \brief Start an On period
+     * @brief Start an On period
      */
     void StartSending();
     /**
-     * \brief Start an Off period
+     * @brief Start an Off period
      */
     void StopSending();
     /**
-     * \brief Send a packet
+     * @brief Send a packet
      */
     void SendPacket();
 
     Ptr<Socket> m_socket;                //!< Associated socket
-    Address m_peer;                      //!< Peer address
-    Address m_local;                     //!< Local address to bind to
     bool m_connected;                    //!< True if connected
-    uint8_t m_tos;                       //!< The packets Type of Service
     Ptr<RandomVariableStream> m_onTime;  //!< rng for On Time
     Ptr<RandomVariableStream> m_offTime; //!< rng for Off Time
     DataRate m_cbrRate;                  //!< Rate that data is generated
@@ -174,27 +169,29 @@
 
   private:
     /**
-     * \brief Schedule the next packet transmission
+     * @brief Schedule the next packet transmission
      */
     void ScheduleNextTx();
     /**
-     * \brief Schedule the next On period start
+     * @brief Schedule the next On period start
      */
     void ScheduleStartEvent();
     /**
-     * \brief Schedule the next Off period start
+     * @brief Schedule the next Off period start
      */
     void ScheduleStopEvent();
     /**
-     * \brief Handle a Connection Succeed event
-     * \param socket the connected socket
+     * @brief Handle a Connection Succeed event
+     * @param socket the connected socket
      */
     void ConnectionSucceeded(Ptr<Socket> socket);
     /**
-     * \brief Handle a Connection Failed event
-     * \param socket the not connected socket
+     * @brief Handle a Connection Failed event
+     * @param socket the not connected socket
      */
     void ConnectionFailed(Ptr<Socket> socket);
+
+    TracedValue<bool> m_state; //!< State of application (0-OFF, 1-ON)
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/packet-loss-counter.h ns-3.44/src/applications/model/packet-loss-counter.h
--- ns-3.43/src/applications/model/packet-loss-counter.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/packet-loss-counter.h	2025-03-09 16:55:49.347370900 -0700
@@ -23,9 +23,9 @@
 class Packet;
 
 /**
- * \ingroup udpclientserver
+ * @ingroup udpclientserver
  *
- * \brief A class to count the number of lost packets.
+ * @brief A class to count the number of lost packets.
  *
  * This class records the packet lost in a client/server transmission
  * leveraging a sequence number. All the packets outside a given window
@@ -35,44 +35,44 @@
 {
   public:
     /**
-     * \brief Constructor
-     * \param bitmapSize The window size. Must be a multiple of 8.
+     * @brief Constructor
+     * @param bitmapSize The window size. Must be a multiple of 8.
      */
     PacketLossCounter(uint8_t bitmapSize);
     ~PacketLossCounter();
     /**
-     * \brief Record a successfully received packet
-     * \param seq the packet sequence number
+     * @brief Record a successfully received packet
+     * @param seq the packet sequence number
      */
     void NotifyReceived(uint32_t seq);
     /**
-     * \brief Get the number of lost packets.
-     * \returns the number of lost packets.
+     * @brief Get the number of lost packets.
+     * @returns the number of lost packets.
      */
     uint32_t GetLost() const;
     /**
-     * \brief Return the size of the window used to compute the packet loss.
-     * \return the window size.
+     * @brief Return the size of the window used to compute the packet loss.
+     * @return the window size.
      */
     uint16_t GetBitMapSize() const;
     /**
-     * \brief Set the size of the window used to compute the packet loss.
+     * @brief Set the size of the window used to compute the packet loss.
      *
-     * \param size The window size. Must be a multiple of 8.
+     * @param size The window size. Must be a multiple of 8.
      */
     void SetBitMapSize(uint16_t size);
 
   private:
     /**
-     * \brief Check if a sequence number in the window has been received.
-     * \param seqNum the sequence number.
-     * \returns false if the packet has not been received.
+     * @brief Check if a sequence number in the window has been received.
+     * @param seqNum the sequence number.
+     * @returns false if the packet has not been received.
      */
     bool GetBit(uint32_t seqNum);
     /**
-     * \brief Set a sequence number to a given state.
-     * \param seqNum the sequence number.
-     * \param val false if the packet has not been received.
+     * @brief Set a sequence number to a given state.
+     * @param seqNum the sequence number.
+     * @param val false if the packet has not been received.
      */
     void SetBit(uint32_t seqNum, bool val);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/packet-sink.cc ns-3.44/src/applications/model/packet-sink.cc
--- ns-3.43/src/applications/model/packet-sink.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/packet-sink.cc	2025-03-09 16:55:49.347370900 -0700
@@ -5,10 +5,10 @@
  *
  * Author:  Tom Henderson (tomhend@u.washington.edu)
  */
+
 #include "packet-sink.h"
 
 #include "ns3/address-utils.h"
-#include "ns3/address.h"
 #include "ns3/boolean.h"
 #include "ns3/inet-socket-address.h"
 #include "ns3/inet6-socket-address.h"
@@ -36,14 +36,9 @@
 {
     static TypeId tid =
         TypeId("ns3::PacketSink")
-            .SetParent<Application>()
+            .SetParent<SinkApplication>()
             .SetGroupName("Applications")
             .AddConstructor<PacketSink>()
-            .AddAttribute("Local",
-                          "The Address on which to Bind the rx socket.",
-                          AddressValue(),
-                          MakeAddressAccessor(&PacketSink::m_local),
-                          MakeAddressChecker())
             .AddAttribute("Protocol",
                           "The type id of the protocol to use for the rx socket.",
                           TypeIdValue(UdpSocketFactory::GetTypeId()),
@@ -70,10 +65,14 @@
 }
 
 PacketSink::PacketSink()
+    : m_buffer{},
+      m_socket{nullptr},
+      m_socket6{nullptr},
+      m_socketList{},
+      m_totalRx{0},
+      m_enableSeqTsSizeHeader{false}
 {
     NS_LOG_FUNCTION(this);
-    m_socket = nullptr;
-    m_totalRx = 0;
 }
 
 PacketSink::~PacketSink()
@@ -118,50 +117,88 @@
 PacketSink::StartApplication() // Called at time specified by Start
 {
     NS_LOG_FUNCTION(this);
+
     // Create the socket if not already
     if (!m_socket)
     {
         m_socket = Socket::CreateSocket(GetNode(), m_tid);
-        NS_ABORT_MSG_IF(m_local.IsInvalid(), "'Local' attribute not properly set");
-        if (m_socket->Bind(m_local) == -1)
+        auto local = m_local;
+        if (local.IsInvalid())
+        {
+            local = InetSocketAddress(Ipv4Address::GetAny(), m_port);
+            NS_LOG_INFO(this << " Binding on port " << m_port << " / " << local << ".");
+        }
+        else if (InetSocketAddress::IsMatchingType(local))
+        {
+            m_port = InetSocketAddress::ConvertFrom(local).GetPort();
+            const auto ipv4 = InetSocketAddress::ConvertFrom(local).GetIpv4();
+            NS_LOG_INFO(this << " Binding on " << ipv4 << " port " << m_port << " / " << local
+                             << ".");
+        }
+        else if (Inet6SocketAddress::IsMatchingType(local))
+        {
+            m_port = Inet6SocketAddress::ConvertFrom(local).GetPort();
+            const auto ipv6 = Inet6SocketAddress::ConvertFrom(local).GetIpv6();
+            NS_LOG_INFO(this << " Binding on " << ipv6 << " port " << m_port << " / " << local
+                             << ".");
+        }
+        if (m_socket->Bind(local) == -1)
         {
             NS_FATAL_ERROR("Failed to bind socket");
         }
         m_socket->Listen();
         m_socket->ShutdownSend();
-        if (addressUtils::IsMulticast(m_local))
+        if (addressUtils::IsMulticast(local))
         {
-            Ptr<UdpSocket> udpSocket = DynamicCast<UdpSocket>(m_socket);
-            if (udpSocket)
+            if (auto udpSocket = DynamicCast<UdpSocket>(m_socket))
             {
                 // equivalent to setsockopt (MCAST_JOIN_GROUP)
-                udpSocket->MulticastJoinGroup(0, m_local);
+                udpSocket->MulticastJoinGroup(0, local);
             }
             else
             {
                 NS_FATAL_ERROR("Error: joining multicast on a non-UDP socket");
             }
         }
+        m_socket->SetRecvCallback(MakeCallback(&PacketSink::HandleRead, this));
+        m_socket->SetRecvPktInfo(true);
+        m_socket->SetAcceptCallback(MakeNullCallback<bool, Ptr<Socket>, const Address&>(),
+                                    MakeCallback(&PacketSink::HandleAccept, this));
+        m_socket->SetCloseCallbacks(MakeCallback(&PacketSink::HandlePeerClose, this),
+                                    MakeCallback(&PacketSink::HandlePeerError, this));
     }
 
-    if (InetSocketAddress::IsMatchingType(m_local))
-    {
-        m_localPort = InetSocketAddress::ConvertFrom(m_local).GetPort();
-    }
-    else if (Inet6SocketAddress::IsMatchingType(m_local))
-    {
-        m_localPort = Inet6SocketAddress::ConvertFrom(m_local).GetPort();
-    }
-    else
+    if (m_local.IsInvalid() && !m_socket6)
     {
-        m_localPort = 0;
+        // local address is not specified, so create another socket to also listen to all IPv6
+        // addresses
+        m_socket6 = Socket::CreateSocket(GetNode(), m_tid);
+        auto local = Inet6SocketAddress(Ipv6Address::GetAny(), m_port);
+        if (m_socket6->Bind(local) == -1)
+        {
+            NS_FATAL_ERROR("Failed to bind socket");
+        }
+        m_socket6->Listen();
+        m_socket6->ShutdownSend();
+        if (addressUtils::IsMulticast(local))
+        {
+            if (auto udpSocket = DynamicCast<UdpSocket>(m_socket6))
+            {
+                // equivalent to setsockopt (MCAST_JOIN_GROUP)
+                udpSocket->MulticastJoinGroup(0, local);
+            }
+            else
+            {
+                NS_FATAL_ERROR("Error: joining multicast on a non-UDP socket");
+            }
+        }
+        m_socket6->SetRecvCallback(MakeCallback(&PacketSink::HandleRead, this));
+        m_socket6->SetRecvPktInfo(true);
+        m_socket6->SetAcceptCallback(MakeNullCallback<bool, Ptr<Socket>, const Address&>(),
+                                     MakeCallback(&PacketSink::HandleAccept, this));
+        m_socket6->SetCloseCallbacks(MakeCallback(&PacketSink::HandlePeerClose, this),
+                                     MakeCallback(&PacketSink::HandlePeerError, this));
     }
-    m_socket->SetRecvCallback(MakeCallback(&PacketSink::HandleRead, this));
-    m_socket->SetRecvPktInfo(true);
-    m_socket->SetAcceptCallback(MakeNullCallback<bool, Ptr<Socket>, const Address&>(),
-                                MakeCallback(&PacketSink::HandleAccept, this));
-    m_socket->SetCloseCallbacks(MakeCallback(&PacketSink::HandlePeerClose, this),
-                                MakeCallback(&PacketSink::HandlePeerError, this));
 }
 
 void
@@ -170,7 +207,7 @@
     NS_LOG_FUNCTION(this);
     while (!m_socketList.empty()) // these are accepted sockets, close them
     {
-        Ptr<Socket> acceptedSocket = m_socketList.front();
+        auto acceptedSocket = m_socketList.front();
         m_socketList.pop_front();
         acceptedSocket->Close();
     }
@@ -179,16 +216,19 @@
         m_socket->Close();
         m_socket->SetRecvCallback(MakeNullCallback<void, Ptr<Socket>>());
     }
+    if (m_socket6)
+    {
+        m_socket6->Close();
+        m_socket6->SetRecvCallback(MakeNullCallback<void, Ptr<Socket>>());
+    }
 }
 
 void
 PacketSink::HandleRead(Ptr<Socket> socket)
 {
     NS_LOG_FUNCTION(this << socket);
-    Ptr<Packet> packet;
     Address from;
-    Address localAddress;
-    while ((packet = socket->RecvFrom(from)))
+    while (auto packet = socket->RecvFrom(from))
     {
         if (packet->GetSize() == 0)
         { // EOF
@@ -215,15 +255,16 @@
         if (!m_rxTrace.IsEmpty() || !m_rxTraceWithAddresses.IsEmpty() ||
             (!m_rxTraceWithSeqTsSize.IsEmpty() && m_enableSeqTsSizeHeader))
         {
+            Address localAddress;
             Ipv4PacketInfoTag interfaceInfo;
             Ipv6PacketInfoTag interface6Info;
             if (packet->RemovePacketTag(interfaceInfo))
             {
-                localAddress = InetSocketAddress(interfaceInfo.GetAddress(), m_localPort);
+                localAddress = InetSocketAddress(interfaceInfo.GetAddress(), m_port);
             }
             else if (packet->RemovePacketTag(interface6Info))
             {
-                localAddress = Inet6SocketAddress(interface6Info.GetAddress(), m_localPort);
+                localAddress = Inet6SocketAddress(interface6Info.GetAddress(), m_port);
             }
             else
             {
@@ -243,17 +284,16 @@
 void
 PacketSink::PacketReceived(const Ptr<Packet>& p, const Address& from, const Address& localAddress)
 {
-    SeqTsSizeHeader header;
-    Ptr<Packet> buffer;
-
     auto itBuffer = m_buffer.find(from);
     if (itBuffer == m_buffer.end())
     {
-        itBuffer = m_buffer.insert(std::make_pair(from, Create<Packet>(0))).first;
+        itBuffer = m_buffer.emplace(from, Create<Packet>(0)).first;
     }
 
-    buffer = itBuffer->second;
+    auto buffer = itBuffer->second;
     buffer->AddAtEnd(p);
+
+    SeqTsSizeHeader header;
     buffer->PeekHeader(header);
 
     NS_ABORT_IF(header.GetSize() == 0);
@@ -262,7 +302,7 @@
     {
         NS_LOG_DEBUG("Removing packet of size " << header.GetSize() << " from buffer of size "
                                                 << buffer->GetSize());
-        Ptr<Packet> complete = buffer->CreateFragment(0, static_cast<uint32_t>(header.GetSize()));
+        auto complete = buffer->CreateFragment(0, static_cast<uint32_t>(header.GetSize()));
         buffer->RemoveAtStart(static_cast<uint32_t>(header.GetSize()));
 
         complete->RemoveHeader(header);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/packet-sink.h ns-3.44/src/applications/model/packet-sink.h
--- ns-3.43/src/applications/model/packet-sink.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/packet-sink.h	2025-03-09 16:55:49.347370900 -0700
@@ -10,9 +10,8 @@
 #define PACKET_SINK_H
 
 #include "seq-ts-size-header.h"
+#include "sink-application.h"
 
-#include "ns3/address.h"
-#include "ns3/application.h"
 #include "ns3/event-id.h"
 #include "ns3/inet-socket-address.h"
 #include "ns3/inet6-socket-address.h"
@@ -24,13 +23,12 @@
 namespace ns3
 {
 
-class Address;
 class Socket;
 class Packet;
 
 /**
- * \ingroup applications
- * \defgroup packetsink PacketSink
+ * @ingroup applications
+ * @defgroup packetsink PacketSink
  *
  * This application was written to complement OnOffApplication, but it
  * is more general so a PacketSink name was selected.  Functionally it is
@@ -42,9 +40,9 @@
  */
 
 /**
- * \ingroup packetsink
+ * @ingroup packetsink
  *
- * \brief Receive and consume traffic generated to an IP address and port
+ * @brief Receive and consume traffic generated to an IP address and port
  *
  * This application was written to complement OnOffApplication, but it
  * is more general so a PacketSink name was selected.  Functionally it is
@@ -60,40 +58,40 @@
  * enabled, it prints out the size of packets and their address.
  * A tracing source to Receive() is also available.
  */
-class PacketSink : public Application
+class PacketSink : public SinkApplication
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
-    PacketSink();
 
+    PacketSink();
     ~PacketSink() override;
 
     /**
-     * \return the total bytes received in this sink app
+     * @return the total bytes received in this sink app
      */
     uint64_t GetTotalRx() const;
 
     /**
-     * \return pointer to listening socket
+     * @return pointer to listening socket
      */
     Ptr<Socket> GetListeningSocket() const;
 
     /**
-     * \return list of pointers to accepted sockets
+     * @return list of pointers to accepted sockets
      */
     std::list<Ptr<Socket>> GetAcceptedSockets() const;
 
     /**
      * TracedCallback signature for a reception with addresses and SeqTsSizeHeader
      *
-     * \param p The packet received (without the SeqTsSize header)
-     * \param from From address
-     * \param to Local address
-     * \param header The SeqTsSize header
+     * @param p The packet received (without the SeqTsSize header)
+     * @param from From address
+     * @param to Local address
+     * @param header The SeqTsSize header
      */
     typedef void (*SeqTsSizeCallback)(Ptr<const Packet> p,
                                       const Address& from,
@@ -108,32 +106,32 @@
     void StopApplication() override;
 
     /**
-     * \brief Handle a packet received by the application
-     * \param socket the receiving socket
+     * @brief Handle a packet received by the application
+     * @param socket the receiving socket
      */
     void HandleRead(Ptr<Socket> socket);
     /**
-     * \brief Handle an incoming connection
-     * \param socket the incoming connection socket
-     * \param from the address the connection is from
+     * @brief Handle an incoming connection
+     * @param socket the incoming connection socket
+     * @param from the address the connection is from
      */
     void HandleAccept(Ptr<Socket> socket, const Address& from);
     /**
-     * \brief Handle an connection close
-     * \param socket the connected socket
+     * @brief Handle an connection close
+     * @param socket the connected socket
      */
     void HandlePeerClose(Ptr<Socket> socket);
     /**
-     * \brief Handle an connection error
-     * \param socket the connected socket
+     * @brief Handle an connection error
+     * @param socket the connected socket
      */
     void HandlePeerError(Ptr<Socket> socket);
 
     /**
-     * \brief Packet received: assemble byte stream to extract SeqTsSizeHeader
-     * \param p received packet
-     * \param from from address
-     * \param localAddress local address
+     * @brief Packet received: assemble byte stream to extract SeqTsSizeHeader
+     * @param p received packet
+     * @param from from address
+     * @param localAddress local address
      *
      * The method assembles a received byte stream and extracts SeqTsSizeHeader
      * instances from the stream to export in a trace source.
@@ -141,14 +139,14 @@
     void PacketReceived(const Ptr<Packet>& p, const Address& from, const Address& localAddress);
 
     /**
-     * \brief Hashing for the Address class
+     * @brief Hashing for the Address class
      */
     struct AddressHash
     {
         /**
-         * \brief operator ()
-         * \param x the address of which calculate the hash
-         * \return the hash of x
+         * @brief operator ()
+         * @param x the address of which calculate the hash
+         * @return the hash of x
          *
          * Should this method go in address.h?
          *
@@ -176,17 +174,17 @@
 
     std::unordered_map<Address, Ptr<Packet>, AddressHash> m_buffer; //!< Buffer for received packets
 
+    Ptr<Socket> m_socket;  //!< Socket
+    Ptr<Socket> m_socket6; //!< IPv6 Socket (used if only port is specified)
+
     // In the case of TCP, each socket accept returns a new socket, so the
     // listening socket is stored separately from the accepted sockets
-    Ptr<Socket> m_socket;                //!< Listening socket
     std::list<Ptr<Socket>> m_socketList; //!< the accepted sockets
 
-    Address m_local;      //!< Local address to bind to (address and port)
-    uint16_t m_localPort; //!< Local port to bind to
-    uint64_t m_totalRx;   //!< Total bytes received
-    TypeId m_tid;         //!< Protocol TypeId
+    uint64_t m_totalRx; //!< Total bytes received
+    TypeId m_tid;       //!< Protocol TypeId
 
-    bool m_enableSeqTsSizeHeader{false}; //!< Enable or disable the export of SeqTsSize header
+    bool m_enableSeqTsSizeHeader; //!< Enable or disable the export of SeqTsSize header
 
     /// Traced Callback: received packets, source address.
     TracedCallback<Ptr<const Packet>, const Address&> m_rxTrace;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/seq-ts-echo-header.cc ns-3.44/src/applications/model/seq-ts-echo-header.cc
--- ns-3.43/src/applications/model/seq-ts-echo-header.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/seq-ts-echo-header.cc	2025-03-09 16:55:49.347370900 -0700
@@ -24,7 +24,7 @@
 SeqTsEchoHeader::SeqTsEchoHeader()
     : m_seq(0),
       m_tsValue(Simulator::Now()),
-      m_tsEchoReply(Seconds(0))
+      m_tsEchoReply()
 {
     NS_LOG_FUNCTION(this);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/seq-ts-echo-header.h ns-3.44/src/applications/model/seq-ts-echo-header.h
--- ns-3.43/src/applications/model/seq-ts-echo-header.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/seq-ts-echo-header.h	2025-03-09 16:55:49.347370900 -0700
@@ -16,9 +16,9 @@
 namespace ns3
 {
 /**
- * \ingroup applications
- * \class SeqTsEchoHeader
- * \brief Packet header to carry sequence number and two timestamps
+ * @ingroup applications
+ * @class SeqTsEchoHeader
+ * @brief Packet header to carry sequence number and two timestamps
  *
  * The header is made of a 32bits sequence number followed by
  * two 64bits time stamps (Transmit and Receive).
@@ -27,46 +27,46 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief constructor
+     * @brief constructor
      */
     SeqTsEchoHeader();
 
     /**
-     * \param seq the sequence number
+     * @param seq the sequence number
      */
     void SetSeq(uint32_t seq);
 
     /**
-     * \return the sequence number
+     * @return the sequence number
      */
     uint32_t GetSeq() const;
 
     /**
-     * \return A time value set by the sender
+     * @return A time value set by the sender
      */
     Time GetTsValue() const;
 
     /**
-     * \return A time value echoing the received timestamp
+     * @return A time value echoing the received timestamp
      */
     Time GetTsEchoReply() const;
 
     /**
-     * \brief Set the sender's time value
-     * \param ts Time value to set
+     * @brief Set the sender's time value
+     * @param ts Time value to set
      */
     void SetTsValue(Time ts);
 
     /**
-     * \brief Upon SeqTsEchoHeader reception, the host answers via echoing
+     * @brief Upon SeqTsEchoHeader reception, the host answers via echoing
      * back the received timestamp
-     * \param ts received timestamp. If not called, will contain 0
+     * @param ts received timestamp. If not called, will contain 0
      */
     void SetTsEchoReply(Time ts);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/seq-ts-header.h ns-3.44/src/applications/model/seq-ts-header.h
--- ns-3.43/src/applications/model/seq-ts-header.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/seq-ts-header.h	2025-03-09 16:55:49.347370900 -0700
@@ -15,9 +15,9 @@
 namespace ns3
 {
 /**
- * \ingroup applications
+ * @ingroup applications
  *
- * \brief Packet header to carry sequence number and timestamp
+ * @brief Packet header to carry sequence number and timestamp
  *
  * The header is used as a payload in applications (typically UDP) to convey
  * a 32 bit sequence number followed by a 64 bit timestamp (12 bytes total).
@@ -36,21 +36,21 @@
     SeqTsHeader();
 
     /**
-     * \param seq the sequence number
+     * @param seq the sequence number
      */
     void SetSeq(uint32_t seq);
     /**
-     * \return the sequence number
+     * @return the sequence number
      */
     uint32_t GetSeq() const;
     /**
-     * \return the time stamp
+     * @return the time stamp
      */
     Time GetTs() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
